Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

executable file 118 lines (112 sloc) 3.948 kb
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = "sugar-high"
s.version = "0.7.3"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Kristian Mandrup"]
s.date = "2012-10-18"
s.description = "More Ruby sugar - inspired by the 'zuker' project"
s.email = "kmandrup@gmail.com"
s.extra_rdoc_files = [
"LICENSE",
"README.textile"
]
s.files = [
".document",
".rspec",
".rvmrc",
".travis.yml",
"CHANGELOG.md",
"Gemfile",
"LICENSE",
"README.textile",
"Rakefile",
"lib/sugar-high.rb",
"lib/sugar-high/alias.rb",
"lib/sugar-high/arguments.rb",
"lib/sugar-high/array.rb",
"lib/sugar-high/blank.rb",
"lib/sugar-high/boolean.rb",
"lib/sugar-high/class_ext.rb",
"lib/sugar-high/delegate.rb",
"lib/sugar-high/dsl.rb",
"lib/sugar-high/enumerable.rb",
"lib/sugar-high/file.rb",
"lib/sugar-high/file_ext.rb",
"lib/sugar-high/hash.rb",
"lib/sugar-high/includes.rb",
"lib/sugar-high/kind_of.rb",
"lib/sugar-high/math.rb",
"lib/sugar-high/metaclass.rb",
"lib/sugar-high/methods.rb",
"lib/sugar-high/module.rb",
"lib/sugar-high/not.rb",
"lib/sugar-high/numeric.rb",
"lib/sugar-high/path.rb",
"lib/sugar-high/properties.rb",
"lib/sugar-high/rails/concerns.rb",
"lib/sugar-high/range.rb",
"lib/sugar-high/regexp.rb",
"lib/sugar-high/rspec/configure.rb",
"lib/sugar-high/rspec/matchers/have_aliases.rb",
"lib/sugar-high/string.rb",
"lib/sugar-high/version.rb",
"spec/fixtures/empty.txt",
"spec/fixtures/non-empty.txt",
"spec/fixtures/search_file.txt",
"spec/spec_helper.rb",
"spec/sugar-high/alias_spec.rb",
"spec/sugar-high/arguments_spec.rb",
"spec/sugar-high/array_spec.rb",
"spec/sugar-high/blank_spec.rb",
"spec/sugar-high/delegate_spec.rb",
"spec/sugar-high/dsl_spec.rb",
"spec/sugar-high/file_spec.rb",
"spec/sugar-high/hash_spec.rb",
"spec/sugar-high/includes_spec.rb",
"spec/sugar-high/kind_of_spec.rb",
"spec/sugar-high/methods_spec.rb",
"spec/sugar-high/module_spec.rb",
"spec/sugar-high/numeric_spec.rb",
"spec/sugar-high/path_spec.rb",
"spec/sugar-high/properties_spec.rb",
"spec/sugar-high/rails/concerns_spec.rb",
"spec/sugar-high/rails/fixture_user/scopes.rb",
"spec/sugar-high/rails/fixture_user/validations.rb",
"spec/sugar-high/rails/shared/associations.rb",
"spec/sugar-high/rails/shared/caching.rb",
"spec/sugar-high/range_spec.rb",
"spec/sugar-high/regexp_spec.rb",
"spec/sugar-high/string_spec.rb",
"sugar-high.gemspec"
]
s.homepage = "http://github.com/kristianmandrup/sugar-high"
s.require_paths = ["lib"]
s.rubygems_version = "1.8.24"
s.summary = "Ruby convenience sugar packs!"
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, [">= 2.4.0"])
s.add_development_dependency(%q<rails>, [">= 3.0.1"])
s.add_development_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_development_dependency(%q<bundler>, [">= 1.0.1"])
s.add_development_dependency(%q<rdoc>, [">= 0"])
else
s.add_dependency(%q<rspec>, [">= 2.4.0"])
s.add_dependency(%q<rails>, [">= 3.0.1"])
s.add_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_dependency(%q<bundler>, [">= 1.0.1"])
s.add_dependency(%q<rdoc>, [">= 0"])
end
else
s.add_dependency(%q<rspec>, [">= 2.4.0"])
s.add_dependency(%q<rails>, [">= 3.0.1"])
s.add_dependency(%q<jeweler>, [">= 1.6.4"])
s.add_dependency(%q<bundler>, [">= 1.0.1"])
s.add_dependency(%q<rdoc>, [">= 0"])
end
end
Jump to Line
Something went wrong with that request. Please try again.